Team
Update team schedules
Apply the supplied changes to multiple work schedules, identifying each schedule by ID.
PATCH
/v1/agencies/{agencyId}/team/schedule-batchesApply the supplied changes to multiple work schedules, identifying each schedule by ID.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/agencies/string/team/schedule-batches" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "schedules": [ { "id": "string" } ] }'{ "data": [ null ], "meta": { "requestId": "string", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "status": "COMPLETED" }}